Modify

Opened 7 years ago

Closed 7 years ago

Last modified 4 years ago

#9608 closed defect (fixed)

Buffalo WZR-HP-AG300H: phy1 (5GHz) didn't work

Reported by: igor@… Owned by: developers
Priority: high Milestone: Barrier Breaker 14.07
Component: kernel Version: Trunk
Keywords: Cc:

Description

Board: Buffalo WZR-HP-AG300H
OpenWrt: trunk r27260

OpenWrt doesn't enable second radio on this board. Here is the output of lspci and dmesg:

root@OpenWrt:~# lspci 
00:00.0 Non-VGA unclassified device: Device 0700:1107 (rev 01)
00:11.0 Network controller: Atheros Communications Inc. AR922X Wireless Network Adapter (rev 01)
00:12.0 Ethernet controller: Atheros Communications Inc. AR5008 Wireless Network Adapter (rev 01)
root@OpenWrt:~# dmesg 
Linux version 2.6.37.6 (igor@StarWolf) (gcc version 4.5.4 20110505 (prerelease) (Linaro GCC 4.5-2011.05-0) ) #1 Thu Jun 23 13:03:58 EEST 2011
prom: fw_arg0=00000007, fw_arg1=a3f6bfb0, fw_arg2=a3f6c4b0, fw_arg3=00000020
MyLoader: sysp=00000000, boardp=00000000, parts=00000000
bootconsole [early0] enabled
CPU revision is: 00019374 (MIPS 24Kc)
SoC: Atheros AR7161 rev 2
Clocks: CPU:680.000MHz, DDR:340.000MHz, AHB:170.000MHz, Ref:40.000MHz
Determined physical RAM map:
 memory: 08000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal   0x00000000 -> 0x00008000
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x00008000
On node 0 totalpages: 32768
free_area_init_node: node 0, pgdat 802a7590, node_mem_map 81000000
  Normal zone: 256 pages used for memmap
  Normal zone: 0 pages reserved
  Normal zone: 32512 pages, LIFO batch:7
pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
pcpu-alloc: [0] 0 
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 32512
Kernel command line:  board=WZR-HP-AG300H console=ttyS0,115200 rootfstype=squashfs,jffs2 noinitrd
PID hash table entries: 512 (order: -1, 2048 bytes)
Dentry cache hash table entries: 16384 (order: 4, 65536 bytes)
Inode-cache hash table entries: 8192 (order: 3, 32768 bytes)
Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
Writing ErrCtl register=00000000
Readback ErrCtl register=00000000
Memory: 126908k/131072k available (1956k kernel code, 4164k reserved, 378k data, 172k init, 0k highmem)
SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
NR_IRQS:80
Calibrating delay loop... 452.19 BogoMIPS (lpj=2260992)
pid_max: default: 32768 minimum: 301
Mount-cache hash table entries: 512
NET: Registered protocol family 16
MIPS: machine is Buffalo WZR-HP-AG300H
registering PCI controller with io_map_base unset
bio: create slab <bio-0> at 0
pci 0000:00:00.0: [0700:1107] type 0 class 0x000000
pci 0000:00:00.0: reg 10: [mem 0x00000000-0x0fffffff pref]
pci 0000:00:00.0: reg 14: [io  0x0000-0x00ff]
pci 0000:00:00.0: supports D1 D2
pci 0000:00:00.0: PME# supported from D0 D1 D2 D3hot
pci 0000:00:00.0: PME# disabled
pci 0000:00:11.0: [168c:ff1d] type 0 class 0x000200
pci 0000:00:11.0: fixup device configuration
pci 0000:00:11.0: reg 10: [mem 0x00000000-0x0000ffff]
pci 0000:00:11.0: PME# supported from D0 D3hot
pci 0000:00:11.0: PME# disabled
pci 0000:00:12.0: [168c:ff1d] type 0 class 0x000200
pci 0000:00:12.0: invalid calibration data
pci 0000:00:12.0: reg 10: [mem 0x00000000-0x0000ffff]
pci 0000:00:11.0: BAR 0: assigned [mem 0x10000000-0x1000ffff]
pci 0000:00:11.0: BAR 0: set to [mem 0x10000000-0x1000ffff] (PCI address [0x10000000-0x1000ffff])
pci 0000:00:12.0: BAR 0: assigned [mem 0x10010000-0x1001ffff]
pci 0000:00:12.0: BAR 0: set to [mem 0x10010000-0x1001ffff] (PCI address [0x10010000-0x1001ffff])
PCI: mapping irq 72 to pin1@0000:00:11.0
PCI: mapping irq 73 to pin1@0000:00:12.0
Switching to clocksource MIPS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 4096 (order: 3, 32768 bytes)
TCP bind hash table entries: 4096 (order: 2, 16384 bytes)
TCP: Hash tables configured (established 4096 bind 4096)
TCP reno registered
UDP hash table entries: 256 (order: 0, 4096 bytes)
UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
NET: Registered protocol family 1
PCI: CLS 0 bytes, default 32
squashfs: version 4.0 (2009/01/31) Phillip Lougher
JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
msgmni has been set to 247
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
console [ttyS0] enabled, bootconsole disabled
Atheros AR71xx SPI Controller driver version 0.2.4
m25p80 spi0.0: found w25q128, expected m25p80
m25p80 spi0.0: w25q128 (16384 Kbytes)
spi0.0: searching for MyLoader partition table at offset 0x10000
spi0.0: searching for MyLoader partition table at offset 0x20000
spi0.0: searching for MyLoader partition table at offset 0x30000
spi0.0: searching for MyLoader partition table at offset 0x40000
spi0.0: no MyLoader partition table found
Searching for RedBoot partition table in spi0.0 at offset 0xffe000
Searching for RedBoot partition table in spi0.0 at offset 0xfff000
No RedBoot partition table detected in spi0.0
spi0.0: no WRT160NL signature found
m25p80 spi0.1: found w25q128, expected m25p80
m25p80 spi0.1: w25q128 (16384 Kbytes)
spi0.1: searching for MyLoader partition table at offset 0x10000
spi0.1: searching for MyLoader partition table at offset 0x20000
spi0.1: searching for MyLoader partition table at offset 0x30000
spi0.1: searching for MyLoader partition table at offset 0x40000
spi0.1: no MyLoader partition table found
Searching for RedBoot partition table in spi0.1 at offset 0xfff000
No RedBoot partition table detected in spi0.1
spi0.1: no WRT160NL signature found
Concatenating MTD devices:
(0): "spi0.0"
(1): "spi0.1"
into device "flash"
Creating 7 MTD partitions on "flash":
0x000000000000-0x000000040000 : "u-boot"
0x000000040000-0x000000050000 : "u-boot-env"
0x000000050000-0x000000060000 : "art"
0x000000060000-0x000000160000 : "kernel"
0x000000160000-0x000001ff0000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=3C0000, len=1C30000 
0x0000003c0000-0x000001ff0000 : "rootfs_data"
0x000001ff0000-0x000002000000 : "user_property"
0x000000060000-0x000001ff0000 : "firmware"
ag71xx_mdio: probed
eth0: Atheros AG71xx at 0xb9000000, irq 4
eth0: AR8316 switch driver attached.
ar8316: Using port 4 as switch port
eth0: connected to PHY at ag71xx-mdio:00 [uid=004dd041, driver=Atheros AR8216/AR8316]
eth1: Atheros AG71xx at 0xba000000, irq 5
ar8316: Using port 4 as PHY
eth1: connected to PHY at ag71xx-mdio:04 [uid=004dd041, driver=Atheros AR8216/AR8316]
Atheros AR71xx hardware watchdog driver version 0.1.0
ar71xx-wdt: timeout=15 secs (max=25)
TCP westwood registered
NET: Registered protocol family 17
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
VFS: Mounted root (squashfs filesystem) readonly on device 31:6.
Freeing unused kernel memory: 172k freed
input: gpio-keys-polled as /devices/platform/gpio-keys-polled/input/input0
Button Hotplug driver version 0.4.1
Registered led device: wzr-hp-ag300h:red:diag
ar71xx: pll_reg 0xb8050010: 0x110000
eth0: link up (1000Mbps/Full duplex)
JFFS2 notice: (393) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (1 unchecked, 0 orphan) and 56 of xref (0 dead, 35 orphan) found.
eth0: link down
device eth0.1 entered promiscuous mode
device eth0 entered promiscuous mode
Compat-wireless backport release: compat-wireless-2011-05-23
Backport based on wireless-testing.git master-2011-05-27
cfg80211: Calling CRDA to update world regulatory domain
ar71xx: pll_reg 0xb8050010: 0x110000
eth0: link up (1000Mbps/Full duplex)
br-lan: port 1(eth0.1) entering forwarding state
br-lan: port 1(eth0.1) entering forwarding state
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
cfg80211: World regulatory domain updated:
cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
usbcore: registered new device driver usb
PCI: Enabling device 0000:00:11.0 (0000 -> 0002)
ath: EEPROM regdomain: 0x0
ath: EEPROM indicates default country code should be used
ath: doing EEPROM country->regdmn map search
ath: country maps to regdmn code: 0x3a
ath: Country alpha2 being used: US
ath: Regpair used: 0x3a
ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
Registered led device: ath9k-phy0
ieee80211 phy0: Atheros AR9280 Rev:2 mem=0xb0000000, irq=72
cfg80211: Calling CRDA for country: US
PPP generic driver version 2.4.2
ip_tables: (C) 2000-2006 Netfilter Core Team
cfg80211: Regulatory domain changed to country: US
cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
cfg80211:     (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
NET: Registered protocol family 24
ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
ar71xx-ehci ar71xx-ehci: Atheros AR71xx built-in EHCI controller
ar71xx-ehci ar71xx-ehci: new USB bus registered, assigned bus number 1
ar71xx-ehci ar71xx-ehci: irq 3, io mem 0x1b000000
ar71xx-ehci ar71xx-ehci: USB 2.0 started, EHCI 1.00
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
nf_conntrack version 0.5.0 (1985 buckets, 7940 max)
xt_time: kernel timezone is -0000
ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
ar71xx-ohci ar71xx-ohci: Atheros AR71xx built-in OHCI controller
ar71xx-ohci ar71xx-ohci: new USB bus registered, assigned bus number 2
ar71xx-ohci ar71xx-ohci: irq 14, io mem 0x1c000000
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
ar71xx-wdt: enabling watchdog timer

Attachments (0)

Change History (5)

comment:1 Changed 7 years ago by Dimitris <dimitris@…>

Identical hardware here, just adding verbose lspci output:

00:11.0 Network controller: Atheros Communications Inc. AR922X Wireless Network Adapter (rev 01)
	Subsystem: Atheros Communications Inc. Device a097
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 72
	Region 0: Memory at 10000000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: [44] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=100mA PME(D0+,D1-,D2-,D3hot+,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: ath9k

00:12.0 Ethernet controller: Atheros Communications Inc. AR5008 Wireless Network Adapter (rev 01)
	Subsystem: Atheros Communications Inc. Device ee1c
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 73
	Region 0: Memory at 10010000 (32-bit, non-prefetchable) [disabled] [size=64K]
	Capabilities: [40] #80 [0000]
	Capabilities: [80] #00 [0000]

comment:2 Changed 7 years ago by nbd

Please post the output of cat /proc/bus/pci/devices - lspci does not show the PCI ID properly.

comment:3 Changed 7 years ago by igor@…

To nbd:

root@OpenWrt:~# cat /proc/bus/pci/devices 
0000	07001107	0	               8	               1	               0	               0	               0	               0	               0	        10000000	             100	               0	               0	               0	               0	               0	
0088	168c0029	48	        10000000	               0	               0	               0	               0	               0	               0	           10000	               0	               0	               0	               0	               0	               0	ath9k
0090	168cff1d	49	        10010000	               0	               0	               0	               0	               0	               0	           10000	               0	               0	               0	               0	               0	               0	

comment:4 Changed 7 years ago by nbd

  • Resolution set to fixed
  • Status changed from new to closed

fixed in r27282

comment:5 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.